{
    "scan": {
        "analyzer-version-clang": "18.1.7",
        "analyzer-version-cppcheck": "2.14.2",
        "analyzer-version-gcc": "14.1.1",
        "analyzer-version-gcc-analyzer": "14.1.1",
        "analyzer-version-shellcheck": "0.10.0",
        "enabled-plugins": "clang, cppcheck, gcc, shellcheck",
        "exit-code": 0,
        "host": "ip-172-16-1-25.us-west-2.compute.internal",
        "mock-config": "fedora-41-x86_64",
        "project-name": "qt5-qtsvg-5.15.14-1.fc41",
        "store-results-to": "/tmp/tmp9e144szs/qt5-qtsvg-5.15.14-1.fc41.tar.xz",
        "time-created": "2024-07-03 17:41:17",
        "time-finished": "2024-07-03 17:43:32",
        "tool": "csmock",
        "tool-args": "'/usr/bin/csmock' '-r' 'fedora-41-x86_64' '-t' 'cppcheck,gcc,clang,shellcheck' '-o' '/tmp/tmp9e144szs/qt5-qtsvg-5.15.14-1.fc41.tar.xz' '--gcc-analyze' '/tmp/tmp9e144szs/qt5-qtsvg-5.15.14-1.fc41.src.rpm'",
        "tool-version": "csmock-3.5.3-1.el9"
    },
    "defects": [
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "df9c69b61a31bd86d24d925f8cc3d37768c95a4b",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvgtinydocument.cpp",
                    "line": 385,
                    "column": 5,
                    "event": "warning[cplusplus.NewDelete]",
                    "message": "Use of memory after it is freed",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvgtinydocument.cpp",
                    "line": 385,
                    "column": 26,
                    "event": "note",
                    "message": "Calling '~QSvgRefCounter'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvgstyle_p.h",
                    "line": 106,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming field 't' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvgstyle_p.h",
                    "line": 106,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvgstyle_p.h",
                    "line": 107,
                    "column": 13,
                    "event": "note",
                    "message": "Calling 'QSvgRefCounted::deref'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvgstyle_p.h",
                    "line": 128,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvgstyle_p.h",
                    "line": 128,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvgstyle_p.h",
                    "line": 130,
                    "column": 13,
                    "event": "note",
                    "message": "Memory is released",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvgstyle_p.h",
                    "line": 107,
                    "column": 13,
                    "event": "note",
                    "message": "Returning; memory was released",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvgtinydocument.cpp",
                    "line": 385,
                    "column": 26,
                    "event": "note",
                    "message": "Returning from '~QSvgRefCounter'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvgtinydocument.cpp",
                    "line": 385,
                    "column": 5,
                    "event": "note",
                    "message": "Use of memory after it is freed",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  383|   QSvgFont * QSvgTinyDocument::svgFont(const QString &family) const",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  384|   {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  385|->     return m_fonts[family];",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  386|   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  387|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "6f216e9a15725392dfc1f8413cd127bc5eacae99",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvgtinydocument.cpp",
                    "line": 408,
                    "column": 5,
                    "event": "warning[cplusplus.NewDelete]",
                    "message": "Use of memory after it is freed",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvgtinydocument.cpp",
                    "line": 408,
                    "column": 34,
                    "event": "note",
                    "message": "Calling '~QSvgRefCounter'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvgstyle_p.h",
                    "line": 106,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming field 't' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvgstyle_p.h",
                    "line": 106,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvgstyle_p.h",
                    "line": 107,
                    "column": 13,
                    "event": "note",
                    "message": "Calling 'QSvgRefCounted::deref'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvgstyle_p.h",
                    "line": 128,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvgstyle_p.h",
                    "line": 128,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvgstyle_p.h",
                    "line": 130,
                    "column": 13,
                    "event": "note",
                    "message": "Memory is released",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvgstyle_p.h",
                    "line": 107,
                    "column": 13,
                    "event": "note",
                    "message": "Returning; memory was released",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvgtinydocument.cpp",
                    "line": 408,
                    "column": 34,
                    "event": "note",
                    "message": "Returning from '~QSvgRefCounter'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvgtinydocument.cpp",
                    "line": 408,
                    "column": 5,
                    "event": "note",
                    "message": "Use of memory after it is freed",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  406|   QSvgFillStyleProperty *QSvgTinyDocument::namedStyle(const QString &id) const",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  407|   {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  408|->     return m_namedStyles.value(id);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  409|   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  410|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "a11876ce00eccfb951b46ab6071cef449c79d41b",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 124,
                    "column": 40,
                    "event": "warning[core.CallAndMessage]",
                    "message": "1st function call argument is an uninitialized value",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3723,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3723,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3726,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3726,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3728,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3728,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3734,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 3735",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/qt5/QtCore/qloggingcategory.h",
                    "line": 139,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'qCWarning'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3738,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'm_doc' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3738,
                    "column": 16,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3741,
                    "column": 23,
                    "event": "note",
                    "message": "'method' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3741,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3743,
                    "column": 23,
                    "event": "note",
                    "message": "Field 'm_doc' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3743,
                    "column": 23,
                    "event": "note",
                    "message": "'?' condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3744,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/qt5/QtCore/qglobal.h",
                    "line": 859,
                    "column": 52,
                    "event": "note",
                    "message": "expanded from macro 'Q_ASSERT'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3745,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming field 'm_doc' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3745,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3749,
                    "column": 13,
                    "event": "note",
                    "message": "Control jumps to 'case SWITCH:'  at line 3753",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3759,
                    "column": 17,
                    "event": "note",
                    "message": " Execution continues on line 3768",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3768,
                    "column": 13,
                    "event": "note",
                    "message": "'node' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3768,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3771,
                    "column": 13,
                    "event": "note",
                    "message": "Calling 'cssStyleLookup'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2093,
                    "column": 5,
                    "event": "note",
                    "message": "Calling 'parseStyle'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2347,
                    "column": 12,
                    "event": "note",
                    "message": "Calling 'parseStyle'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2305,
                    "column": 5,
                    "event": "note",
                    "message": "Calling 'parseBrush'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1044,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1044,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1044,
                    "column": 39,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1044,
                    "column": 70,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1048,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1048,
                    "column": 44,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1056,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1056,
                    "column": 47,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1061,
                    "column": 14,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1061,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1061,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1062,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1062,
                    "column": 46,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1062,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1075,
                    "column": 20,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1077,
                    "column": 21,
                    "event": "note",
                    "message": "Calling 'resolveColor'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 852,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 852,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 855,
                    "column": 5,
                    "event": "note",
                    "message": "Control jumps to 'case 35:'  at line 857",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 862,
                    "column": 27,
                    "event": "note",
                    "message": "Calling 'qsvg_get_hex_rgb'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 170,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'len' is <= 13",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 170,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 173,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming 'i' is < 'len'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 173,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 173,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming 'i' is >= 'len'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 173,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 175",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 176,
                    "column": 12,
                    "event": "note",
                    "message": "Calling 'qsvg_get_hex_rgb'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 135,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 135,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 141,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'len' is equal to 12",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 141,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 142,
                    "column": 13,
                    "event": "note",
                    "message": "Calling 'qsvg_hex2int'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 124,
                    "column": 40,
                    "event": "note",
                    "message": "1st function call argument is an uninitialized value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  122|   static inline int qsvg_hex2int(const char *s, bool *ok = nullptr)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  123|   {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  124|->     return (qsvg_h2i(s[0], ok) * 16) | qsvg_h2i(s[1], ok);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  125|   }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  126|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "a7614ae1a3debd26b333e045650b264233962b3d",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 155,
                    "column": 13,
                    "event": "warning[core.CallAndMessage]",
                    "message": "1st function call argument is an uninitialized value",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3723,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3723,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3726,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3726,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3728,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3728,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3734,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 3735",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/qt5/QtCore/qloggingcategory.h",
                    "line": 139,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'qCWarning'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3738,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'm_doc' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3738,
                    "column": 16,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3741,
                    "column": 23,
                    "event": "note",
                    "message": "'method' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3741,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3743,
                    "column": 23,
                    "event": "note",
                    "message": "Field 'm_doc' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3743,
                    "column": 23,
                    "event": "note",
                    "message": "'?' condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3744,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/qt5/QtCore/qglobal.h",
                    "line": 859,
                    "column": 52,
                    "event": "note",
                    "message": "expanded from macro 'Q_ASSERT'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3745,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming field 'm_doc' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3745,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3749,
                    "column": 13,
                    "event": "note",
                    "message": "Control jumps to 'case SWITCH:'  at line 3753",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3759,
                    "column": 17,
                    "event": "note",
                    "message": " Execution continues on line 3768",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3768,
                    "column": 13,
                    "event": "note",
                    "message": "'node' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3768,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3771,
                    "column": 13,
                    "event": "note",
                    "message": "Calling 'cssStyleLookup'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2093,
                    "column": 5,
                    "event": "note",
                    "message": "Calling 'parseStyle'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2347,
                    "column": 12,
                    "event": "note",
                    "message": "Calling 'parseStyle'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2305,
                    "column": 5,
                    "event": "note",
                    "message": "Calling 'parseBrush'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1044,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1044,
                    "column": 9,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1044,
                    "column": 39,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1044,
                    "column": 70,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1048,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1048,
                    "column": 44,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1056,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1056,
                    "column": 47,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1061,
                    "column": 14,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1061,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1061,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1062,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1062,
                    "column": 46,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1062,
                    "column": 13,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1075,
                    "column": 20,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1077,
                    "column": 21,
                    "event": "note",
                    "message": "Calling 'resolveColor'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 852,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 852,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 855,
                    "column": 5,
                    "event": "note",
                    "message": "Control jumps to 'case 35:'  at line 857",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 862,
                    "column": 27,
                    "event": "note",
                    "message": "Calling 'qsvg_get_hex_rgb'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 170,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'len' is <= 13",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 170,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 173,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming 'i' is < 'len'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 173,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 173,
                    "column": 20,
                    "event": "note",
                    "message": "Assuming 'i' is >= 'len'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 173,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 175",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 176,
                    "column": 12,
                    "event": "note",
                    "message": "Calling 'qsvg_get_hex_rgb'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 135,
                    "column": 8,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 135,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 141,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'len' is not equal to 12",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 141,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 145,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming 'len' is not equal to 9",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 145,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 149,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming 'len' is not equal to 6",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 149,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 153,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming 'len' is equal to 3",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 153,
                    "column": 12,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 155,
                    "column": 13,
                    "event": "note",
                    "message": "1st function call argument is an uninitialized value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  153|       } else if (len == 3) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  154|           r = qsvg_hex2int(name[0], &ok);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  155|->         g = qsvg_hex2int(name[1], &ok);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  156|           b = qsvg_hex2int(name[2], &ok);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  157|       } else {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "1d855251ed106079c58b8fca16999cbfde4d999c",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 741,
                    "column": 27,
                    "event": "warning[core.NullDereference]",
                    "message": "Array access (from variable 'pattern') results in a null pointer dereference",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3723,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3723,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3726,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3726,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3728,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3728,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3734,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 3735",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/include/qt5/QtCore/qloggingcategory.h",
                    "line": 139,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro 'qCWarning'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3738,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming field 'm_doc' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3738,
                    "column": 16,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3741,
                    "column": 23,
                    "event": "note",
                    "message": "'method' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3741,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3775,
                    "column": 30,
                    "event": "note",
                    "message": "'method' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3775,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3833,
                    "column": 28,
                    "event": "note",
                    "message": "'method' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3833,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3837,
                    "column": 35,
                    "event": "note",
                    "message": "'method' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3837,
                    "column": 12,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3846,
                    "column": 33,
                    "event": "note",
                    "message": "'method' is non-null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3846,
                    "column": 12,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3847,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3847,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 3848,
                    "column": 18,
                    "event": "note",
                    "message": "Calling 'parseMissingGlyphNode'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2965,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2965,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2971,
                    "column": 5,
                    "event": "note",
                    "message": "Calling 'createSvgGlyph'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 981,
                    "column": 22,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 981,
                    "column": 21,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 982,
                    "column": 19,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 982,
                    "column": 18,
                    "event": "note",
                    "message": "'?' condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 985,
                    "column": 5,
                    "event": "note",
                    "message": "Calling 'parsePathDataFast'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1638,
                    "column": 12,
                    "event": "note",
                    "message": "'ok' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1638,
                    "column": 12,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1638,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1639,
                    "column": 31,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1645,
                    "column": 9,
                    "event": "note",
                    "message": "'pattern' initialized to a null pointer value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1646,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1646,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1649,
                    "column": 37,
                    "event": "note",
                    "message": "Passing null pointer value via 3rd parameter 'pattern'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 1649,
                    "column": 9,
                    "event": "note",
                    "message": "Calling 'parseNumbersArray'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 735,
                    "column": 5,
                    "event": "note",
                    "message": "Loop condition is false. Execution continues on line 737",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 737,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 737,
                    "column": 12,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 738,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 738,
                    "column": 37,
                    "event": "note",
                    "message": "Left side of '||' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 741,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'patternLen' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 741,
                    "column": 13,
                    "event": "note",
                    "message": "Left side of '&&' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 741,
                    "column": 27,
                    "event": "note",
                    "message": "Array access (from variable 'pattern') results in a null pointer dereference",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  739|              *str == QLatin1Char('.')) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  740|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  741|->         if (patternLen && pattern[points.size() % patternLen] == 'f') {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  742|               // flag expected, may only be 0 or 1",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  743|               if (*str != QLatin1Char('0') && *str != QLatin1Char('1'))",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "85f86631f295ec781bb87fb6a9df4a3237f238b5",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2487,
                    "column": 42,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Although the value stored to 's' is used in the enclosing expression, the value is never actually read from 's'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2487,
                    "column": 42,
                    "event": "note",
                    "message": "Although the value stored to 's' is used in the enclosing expression, the value is never actually read from 's'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2485|                   vals.append(0.0);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2486|                   vals.append(0.0);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2487|->                 parseNumberTriplet(vals, s = byStr.constData());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2488|               } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2489|                   // To-animation not defined.",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "7c3ad2535ea1b1dd895fd0d4e7d80943c985a172",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2495,
                    "column": 42,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Although the value stored to 's' is used in the enclosing expression, the value is never actually read from 's'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2495,
                    "column": 42,
                    "event": "note",
                    "message": "Although the value stored to 's' is used in the enclosing expression, the value is never actually read from 's'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2493|               if (!toStr.isEmpty()) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2494|                   // From-to-animation.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2495|->                 parseNumberTriplet(vals, s = fromStr.constData());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2496|                   parseNumberTriplet(vals, s = toStr.constData());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2497|               } else if (!byStr.isEmpty()) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "6c25f9d7ac3b917f2ae4a555929ba822e7785d36",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2496,
                    "column": 42,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Although the value stored to 's' is used in the enclosing expression, the value is never actually read from 's'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2496,
                    "column": 42,
                    "event": "note",
                    "message": "Although the value stored to 's' is used in the enclosing expression, the value is never actually read from 's'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2494|                   // From-to-animation.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2495|                   parseNumberTriplet(vals, s = fromStr.constData());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2496|->                 parseNumberTriplet(vals, s = toStr.constData());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2497|               } else if (!byStr.isEmpty()) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2498|                   // From-by-animation.",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "7c3ad2535ea1b1dd895fd0d4e7d80943c985a172",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2499,
                    "column": 42,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Although the value stored to 's' is used in the enclosing expression, the value is never actually read from 's'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2499,
                    "column": 42,
                    "event": "note",
                    "message": "Although the value stored to 's' is used in the enclosing expression, the value is never actually read from 's'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2497|               } else if (!byStr.isEmpty()) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2498|                   // From-by-animation.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2499|->                 parseNumberTriplet(vals, s = fromStr.constData());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2500|                   parseNumberTriplet(vals, s = byStr.constData());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2501|                   for (int i = vals.size() - 3; i < vals.size(); ++i)",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "85f86631f295ec781bb87fb6a9df4a3237f238b5",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2500,
                    "column": 42,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Although the value stored to 's' is used in the enclosing expression, the value is never actually read from 's'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2500,
                    "column": 42,
                    "event": "note",
                    "message": "Although the value stored to 's' is used in the enclosing expression, the value is never actually read from 's'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2498|                   // From-by-animation.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2499|                   parseNumberTriplet(vals, s = fromStr.constData());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2500|->                 parseNumberTriplet(vals, s = byStr.constData());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2501|                   for (int i = vals.size() - 3; i < vals.size(); ++i)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2502|                       vals[i] += vals[i - 3];",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "e38e8aafc1b3dad446b23327e3c6f48c627702b9",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2877,
                    "column": 35,
                    "event": "warning[core.CallAndMessage]",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2931,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2931,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2933,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2933,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2935,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2935,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2937,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2937,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2941,
                    "column": 12,
                    "event": "note",
                    "message": "Assuming 'itr' is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2941,
                    "column": 16,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2948,
                    "column": 23,
                    "event": "note",
                    "message": "Passing null pointer value via 1st parameter 'node'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2948,
                    "column": 5,
                    "event": "note",
                    "message": "Calling 'parseBaseGradient'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2869,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2876,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2876,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/src/svg/qsvghandler.cpp",
                    "line": 2877,
                    "column": 35,
                    "event": "note",
                    "message": "Called C++ object pointer is null",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2875|       QGradient *grad = gradProp->qgradient();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2876|       if (!link.isEmpty()) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2877|->         QSvgStyleProperty *prop = node->styleProperty(link);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2878|           //qDebug()<<\"inherited \"<<prop<<\" (\"<<link<<\")\";",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2879|           if (prop && prop->type() == QSvgStyleProperty::GRADIENT) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "505b38cd0416616141e3c1ff75ca5eecea41df20",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 361,
                    "column": 25,
                    "event": "warning[cplusplus.NewDelete]",
                    "message": "Use of memory after it is freed",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 143,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 143,
                    "column": 9,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 144,
                    "column": 13,
                    "event": "note",
                    "message": "Calling 'WeatherInfo::digest'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 266,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 266,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 268,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 268,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 269,
                    "column": 21,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 269,
                    "column": 17,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 282,
                    "column": 28,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 282,
                    "column": 24,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 293,
                    "column": 28,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 293,
                    "column": 24,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 294,
                    "column": 28,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 294,
                    "column": 21,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 296,
                    "column": 29,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 296,
                    "column": 25,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 297,
                    "column": 33,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 297,
                    "column": 29,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 298,
                    "column": 38,
                    "event": "note",
                    "message": "'foundCurrentForecast' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 298,
                    "column": 33,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 302,
                    "column": 41,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 302,
                    "column": 37,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 294,
                    "column": 28,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 294,
                    "column": 21,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 296,
                    "column": 29,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 296,
                    "column": 25,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 297,
                    "column": 33,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 297,
                    "column": 29,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 298,
                    "column": 38,
                    "event": "note",
                    "message": "'foundCurrentForecast' is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 298,
                    "column": 33,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 312,
                    "column": 37,
                    "event": "note",
                    "message": "Calling 'WeatherInfo::createNewDay'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 340,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 340,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 354,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 354,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 356,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 356,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 357,
                    "column": 21,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 357,
                    "column": 17,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 360,
                    "column": 25,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 360,
                    "column": 21,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 361,
                    "column": 25,
                    "event": "note",
                    "message": "Calling 'WeatherInfo::saveDayItem'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 388,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 388,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 392,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 392,
                    "column": 36,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 410,
                    "column": 13,
                    "event": "note",
                    "message": "Memory is released",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 361,
                    "column": 25,
                    "event": "note",
                    "message": "Returning; memory was released via 1st parameter",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 354,
                    "column": 16,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 354,
                    "column": 9,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 356,
                    "column": 17,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 356,
                    "column": 13,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 357,
                    "column": 21,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 357,
                    "column": 17,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 360,
                    "column": 25,
                    "event": "note",
                    "message": "Assuming the condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 360,
                    "column": 21,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/weatherinfo/weatherinfo.cpp",
                    "line": 361,
                    "column": 25,
                    "event": "note",
                    "message": "Use of memory after it is freed",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  359|                       // save data if new day starts",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  360|                       if (period == \"0\") {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  361|->                         saveDayItem(dayItem, lowT, highT, symbol);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  362|                           createNewDay(xml);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  363|                           saved = true;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "0b2f8b4c1f9a2a3b2bf02abd1b65c83a426a64cc",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/fluidlauncher/pictureflow.cpp",
                    "line": 763,
                    "column": 7,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'alpha' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/fluidlauncher/pictureflow.cpp",
                    "line": 763,
                    "column": 7,
                    "event": "note",
                    "message": "Value stored to 'alpha' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  761|           c1 = rs.left();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  762|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  763|->       alpha = (step > 0) ? 256-fade/2 : 256;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  764|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  765|       for(int index = 0; index < nright; index++)",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "08b47c23bcc4fdb275d17616103c21d073bf9d07",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/fluidlauncher/pictureflow.cpp",
                    "line": 1314,
                    "column": 7,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'incr' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/qt5-qtsvg-5.15.14-build/qtsvg-everywhere-src-5.15.14/examples/svg/embedded/fluidlauncher/pictureflow.cpp",
                    "line": 1314,
                    "column": 7,
                    "event": "note",
                    "message": "Value stored to 'incr' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1312|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1313|       if (incr > d->pixelsToMovePerSlide*2) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1314|->       incr = d->pixelsToMovePerSlide*2;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1315|         //qDebug() << \"Limiting incr to \" << incr;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1316|       }",
                    "verbosity_level": 1
                }
            ]
        }
    ]
}
